// 
// NTP connection for symbian by draven <riksa@medialab.sonera.fi>
// Do what ever you wish with these...
//
#ifndef _NTPConnection_H_
#define _NTPConnection_H_
#include <e32base.h>

#include "connectioninit.h"

class MNTPObserver {
public:
	virtual void NTPInfo(const TDesC& aMsg) = 0;
	virtual void NTPError(const TDesC& aMsg, TInt aErrorCode) = 0;
	virtual void NTPSuccess(TTime aNewTime) = 0;
};

class CNTPConnection : public CActive
{
public:
	IMPORT_C static CNTPConnection* NewL(MNTPObserver& aObserver);
	IMPORT_C virtual ~CNTPConnection();
	
	virtual void Sync(TInt aAP) = 0;
	virtual void SetHost( TUint32 anAddr, TUint aPort ) = 0;
protected:
	CNTPConnection();
};

#endif