#ifndef CONTEXT_CM_TAGS_H_INCLUDED
#define CONTEXT_CM_TAGS_H_INCLUDED 1

#include <e32base.h>
#include <bamdesca.h>

class CTagStorage : public CBase, public MDesCArray {
public:
	IMPORT_C static CTagStorage* NewL(class CDb& aDb);
	virtual void AddFromStringAsNecessaryL(const TDesC& aString) = 0;
	virtual TBool TagExists(const TDesC& aString) = 0;
	virtual void DeleteItemL(TInt aIndex) = 0;
	virtual void AddSingleStringL(const TDesC& aString) = 0;
};

#endif
