#ifndef CL_LOG_GPS_H_INCLUDED 
#define CL_LOG_GPS_H_INCLUDED 1

#include "app_context.h"
#include "checkedactive.h"
#include "log_base_impl.h"
#include "i_logger.h"

class CLogGps : public CCheckedActive, public Mlog_base_impl, public Mlogger {
public:
	IMPORT_C static CLogGps* NewL(MApp_context& Context);
	IMPORT_C virtual ~CLogGps();
	virtual void SelectDevice() = 0;
	virtual void TestDevice() = 0;
	CLogGps(MApp_context& Context);
	virtual void ResetDevice() = 0;
};

#endif // CL_LOG_GPS_H_INCLUDED 
