/*
* ============================================================================
*  Name     : CContextCallLogApp from ContextCallLogApp.h
*  Part of  : ContextCallLog
*  Created  : 10/05/2004 by 
*  Description:
*     Declares main application class.
*  Version  :
*  Copyright: 
* ============================================================================
*/

#ifndef CONTEXTCALLLOGAPP_H
#define CONTEXTCALLLOGAPP_H

// INCLUDES
#include <aknapp.h>
#include "context_uids.h"


// CLASS DECLARATION

/**
* CContextCallLogApp application class.
* Provides factory to create concrete document object.
* 
*/
class CContextCallLogApp : public CAknApplication
    {
    
    public: // Functions from base classes
    private:

        /**
        * From CApaApplication, creates CContextCallLogDocument document object.
        * @return A pointer to the created document object.
        */
        CApaDocument* CreateDocumentL();
        
        /**
        * From CApaApplication, returns application's UID (KUidContextCallLog).
        * @return The value of KUidContextCallLog.
        */
        TUid AppDllUid() const;
    };

#endif

// End of File

