#include "cu_busy.h"
#include <aknwaitdialog.h>
#include "symbian_auto_ptr.h"

class CAutoBusyMessageImpl : public CAutoBusyMessage {
	CAknWaitDialog* iWait;
	void ConstructL(TInt aResourceId) {
		iWait = new (ELeave) CAknWaitDialog( (REINTERPRET_CAST(CEikDialog**,&iWait))); 
		iWait->SetTone( CAknNoteDialog::ENoTone ); 
		iWait->ExecuteLD(aResourceId);
	}
	~CAutoBusyMessageImpl() {
		if (iWait) iWait->ProcessFinishedL();
	}
	friend class CAutoBusyMessage;
	friend class auto_ptr<CAutoBusyMessageImpl>;
};

EXPORT_C CAutoBusyMessage* CAutoBusyMessage::NewL(TInt aResourceId)
{
	auto_ptr<CAutoBusyMessageImpl> ret(new (ELeave) CAutoBusyMessageImpl);
	ret->ConstructL(aResourceId);
	return ret.release();
}
