/*
* $Id: RecognizerView.h,v 1.6 2005/10/17 08:15:17 mraento Exp $
*
* Context
*
* Copyright (C) 2004 Beat Gfeller, Michael Rohs (rohs@inf.ethz.ch)
* Copyrigth (C) 2004 Mika Raento
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

#ifndef RECOGNIZER_V70S_APPUI_H
#define RECOGNIZER_V70S_APPUI_H

// INCLUDES
#include <aknview.h>
#include "codeinfo.h"
#include <eikdialg.h>
#include "app_context.h"


// CLASS DECLARATION

class MRecognizerCallback {
public:
	virtual void CodeSelected(const CCodeInfo& aCode) = 0;
	virtual void Cancelled() = 0;
};

class CRecognizerView : public CAknView
{
public: // // Constructors and destructor
	
	IMPORT_C static CRecognizerView* NewL(MApp_context& Context, MRecognizerCallback* aCallback, 
		TUid aId, TUid LocalDefaultView, TVwsViewId* NextViewId, TInt aResourceId=-1);
        IMPORT_C virtual ~CRecognizerView();   
};

#endif

// End of File
